This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 490778 - bug-buddy (gnome-breakpad) ignores build-id debuginfo
bug-buddy (gnome-breakpad) ignores build-id debuginfo
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bug-buddy (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 334811 F11Target
  Show dependency treegraph
 
Reported: 2009-03-17 19:06 EDT by Will Woods
Modified: 2009-04-05 13:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-05 00:46:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
build-id patch against bug-buddy 2.26.0 (2.02 KB, patch)
2009-03-17 19:06 EDT, Will Woods
no flags Details | Diff

  None (edit)
Description Will Woods 2009-03-17 19:06:46 EDT
Created attachment 335617 [details]
build-id patch against bug-buddy 2.26.0

When a program crashes bug-buddy checks to see if debuginfo is available before attempting a gdb backtrace. Unfortunately it only checks for embedded debuginfo and debuginfo specified by an ELF .gnu_debuglink section - it doesn't know about the GNU_BUILD_ID note.

The attached patch enhances elf_has_debug_symbols() to check for GNU_BUILD_ID debuginfo files as well.

This is required for using bug-buddy with debuginfofs (see http://fedoraproject.org/wiki/Features/DebuginfoFS for details).

Patch is against bug-buddy-2.26.0 - I haven't attempted to apply it to any earlier versions.

I should probably push this upstream, once I figure out if the gdb build-id support is present in upstream gdb.
Comment 1 Matthias Clasen 2009-03-17 21:25:35 EDT
Could be simplified by using 

g_string_new ("/usr/lib/debug/.build-id/") 

instead of g_build_filename, but otherwise looks fine. 

Feel free to put that patch into our rpm.
Comment 2 Matthias Clasen 2009-04-05 00:46:18 EDT
Ok, seems you didn't want to build it yourself...I've done that for you now.
Comment 3 Will Woods 2009-04-05 13:09:52 EDT
Sorry - got really busy with Beta stuff for a while there. Thanks for applying the patch!

AFAICT build-id support is available in the upstream tools (gdb, ld, etc.) so it makes sense to send this patch upstream as well. I'll link to the GNOME bug report once it's available.

Note You need to log in before you can comment on or make changes to this bug.